# -----------------------------------------------------------------------------
sub infNFile
# Must run after infLocks
{
  ($thishost) = @_;

  if ($up[$thishost] ne "Y")
  {
    logit("(Down/Inhibited)",$thishost);
    return 1;
  }

  ##print "nf_pct=$nf_pct[$thishost] \n";

  if ($nf_pct[$thishost] >= 95)
  { 
    $msg = sprintf("UX NFILEs %s%% used - current value=%s kernel maximum=%s",$nf_pct[$thishost],$nf_cur[$thishost],$nf_max[$thishost]);
    &event("C",$thishost,"$msg","NFile","DBA460");
    system("cat $tmpfl6 | dbamon_mailer -s 'DBAmon infPerf() $titleraw[$thishost] C nf_pct=$nf_pct[$thishost]' $admin_email");
  }
  elsif ($nf_pct[$thishost] >= 90)
  { 
    $msg = sprintf("UX NFILEs %s%% used - current value=%s kernel maximum=%s",$nf_pct[$thishost],$nf_cur[$thishost],$nf_max[$thishost]);
    &event("W",$thishost,"$msg","NFile","DBA460");
  }
  else
  {
    $msg = sprintf("OK - %s / %s %s%%",$nf_cur[$thishost],$nf_max[$thishost],$nf_pct[$thishost]);
    &logit($msg,$thishost);
  }
}
# -----------------------------------------------------------------------------
1;
