create table dbamon.events
  (
    instance         char(32)               not null,
    system           char(32)               not null,
    sev              char(1)                not null,
    source           char(32)               not null,
    dbms             char(12)               not null,
    msgid            char(6)                not null,
    text             varchar2(500)          not null,
    paged            char(1)                ,
    ticket           varchar2(20)           ,
    ts               date                   default sysdate
  );

create index dbamon.events_x1 on dbamon.events (instance);
create index dbamon.events_x2 on dbamon.events (ts);
